<%-- 
    Document   : exportarHorarioDocenteCompletoDisponibilidad
    Created on : 28-nov-2018, 16:30:39
    Author     : sistem20user
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@page import="pe.siso.horario.Services.HorarioServices"%>
<%@page import="org.json.JSONArray"%>
<%@page import="org.json.JSONObject"%>
<%@page import="java.util.*"%>
<!DOCTYPE html>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>JSP Page</title>		
		<style>
			td,th {
				padding: 10px
			}
		</style>
		
		<%
		  String textoplana = request.getParameter("textoplana");
		%>
	</head>
	<body>
	<tr>
		<td><strong>Leyenda :</strong><td>
	<tr>
		<td> Cuadros con (X) : Sin disponibilidad - </td>
	</tr>
	<tr>
		<td> Cuadros en blanco : Con disponibilidad</td>
	</tr>
		
	</tr>
		
			<tr> 
				<td  align='center' colspan='12' ><h3>REPORTE POR PLANA - <%=textoplana%></h3></td>
			</tr> 
			
		<%
		String plana = request.getParameter("plana");
    String periodo = request.getParameter("periodo");
  
		String correoDocente="";
		String direccionDocente="";
		String celularDocente="";
		String distrito="";
		
		
    HorarioServices servicios = new HorarioServices();
		
		JSONObject jparam=new JSONObject();
		
		jparam.put("codigoPeriodo2",periodo);
		jparam.put("codigoPlana",plana);
		
		
		JSONObject objeto=servicios.listarVistaDobleDisponibilidad2(jparam);
		
		JSONArray arrayPersona = objeto.getJSONArray("data");
		
//	  response.setContentType("application/vnd.ms-excel; ");
    response.setHeader("Content-Disposition","attachment; filename="+textoplana+".xls");
	
		for(Object objetoPersona : arrayPersona){
			
			JSONObject dataPersona=(JSONObject)objetoPersona;
			
			//cabecera
			String nombreDocente=dataPersona.getString("nombre");
			
			
			if(dataPersona.has("correo")){
			correoDocente=dataPersona.getString("correo");
			}
			
			if(dataPersona.has("direccion")){
				direccionDocente=dataPersona.getString("direccion");
			
			}
			
			
			if(dataPersona.has("celular")){
				celularDocente=dataPersona.getString("celular");
			}
			
			if(dataPersona.has("distrito")){
				distrito=dataPersona.getString("distrito");
			}

	
			
			
			String examen=dataPersona.isNull("examen")?"No evaluado":dataPersona.getString("examen");
			String notaEncuesta=dataPersona.isNull("notaEncuesta")?"No evaluado":dataPersona.getString("notaEncuesta");
			String promedioPlana=dataPersona.isNull("promedioPlana")?"No evaluado":dataPersona.getString("promedioPlana");
			String promedio=dataPersona.isNull("promedio")?"Sin promedio":dataPersona.getString("promedio");
		
		ArrayList<String> diaM = new ArrayList<String>();
		ArrayList<String> diaT = new ArrayList<String>();
		ArrayList<Object> aulaM = new ArrayList<Object>();
		ArrayList<Object> aulaT = new ArrayList<Object>();
		
		if(!dataPersona.isNull("disponibilidad")){
			String [] disponibilidad  = dataPersona.getString("disponibilidad").split("-");
			for(int i= 0; i < disponibilidad.length; i++){
				if(disponibilidad[i].contains("#")){
					String turno = disponibilidad[i].split("#")[0];
					String dia = disponibilidad[i].split("#")[1];

					if(turno.equals("1")){
						diaM.add(dia);
					} else if(turno.equals("2")){
						diaT.add(dia);
					}
				}
			}
		}
		
		
		if(!dataPersona.isNull("arrayAulas")){
			JSONArray array = dataPersona.getJSONArray("arrayAulas");
			
			for(Object obj : array){				
				JSONObject aula = (JSONObject) obj;
				
				if(aula.getString("turno").equals("1")){
					aulaM.add(aula);
				}else if(aula.getString("turno").equals("2")){
					aulaT.add(aula);
				}
			}
			
		}
			
			String borderT="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#808080;color:white;width:-2;height:22; ' ";
			String borderTD="style='border:solid 0.5pt #000000;vertical-align:middle; background-color:#A6A6A6;width:-2;height:;' ";
			String border="style='border:solid 0.5pt #000000;vertical-align:middle;width:-2;height:25;'";
			
		
		%>
      
		<table border="1" width='10'>
			
			
			<tr>
				<td colspan="0"<%=borderT%> ><b>DOCENTE:</b></td>
				<td colspan="0"   <%=border%>><font><b><%=nombreDocente%></b></font></td>
				<td colspan="0" <%=borderT%> ><b>CORREO:</b></td>
				<td colspan="0"  <%=border%>><font><b><%=correoDocente%></b></font></td>
			</tr> 
			<tr>

				<td colspan="0"  <%=borderT%>><b>CELULAR:</b></td>
				<td colspan="0" <%=border%> align='left'><font><b><%=celularDocente%></b></font></td>
				<td colspan="0"  <%=borderT%> ><b>DISTRITO:</b></td>
				<td colspan="0" <%=border%>  ><font><b><%=distrito%></b></font></td>
			</tr> 

			<tr>
				<td colspan="0"  <%=borderT%>><b>DIRECCIÓN:</b></td>
				<td colspan="0" height='50'><font><b><%=direccionDocente%></b></font></td>
			</tr>
			<tr>
				<td colspan="0" height='70' <%=borderT%> ><b>NOTAS:</b></td>
				<td colspan="0" <%=border%> ><font>Examen :<b><%=examen%></b></font></td>
				<td colspan="0" <%=border%> ><font>Nota Encuesta: <b><%=notaEncuesta%></b></font></td>
				<td colspan="0" <%=border%> ><font>Promedio Plana :<b><%=promedioPlana%></b></font></td>
				<td colspan="0"  height='70' <%=borderT%> ><b>Promedio General:</b></td>
				<td colspan="0" <%=border%> ><font><b><%=promedio%></b></font></td>
			</tr>
			<tr> 
				<td height='5'  colspan="1" ></td>
			</tr> 
		
				<tr>
					<th >TURNO</th>
					<th <%=borderT%> style="width:1;">LUNES</th>
					<th <%=borderT%>>MARTES</th>
					<th <%=borderT%>>MIERCOLES</th>
					<th <%=borderT%>>JUEVES</th>
					<th <%=borderT%>>VIERNES</th>
					<th <%=borderT%>>SABADO</th>
				</tr>
		
			<tbody>
				<tr>
					<td <%=borderTD%>>M</td>
					<%						
						for(int i=0;i<6;i++){
							String x="X";			
							if(diaM.contains(String.valueOf(i+1))){
								x="";
							}
							
							String horario = "";
							
							for(Object obj:aulaM){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + "\n - " + hr.getString("aulas") + "";
								}							
							}
					%>
					<td  height='100' width='140'  align='center' style="vertical-align:middle;width:1;height:35;"><font size="3"><b><%=horario%><%=x%></b></font></td>
							<%
								}
							%>
				</tr>				
				<tr>
					
					<td <%=borderTD%>>T</td>
					<%
						
						for(int i=0;i<6;i++){
							String x="X";						
							if(diaT.contains(String.valueOf(i+1))){
								x="";
							}
							String horario = "";
							
							for(Object obj:aulaT){
								JSONObject hr=(JSONObject)obj;
								if(hr.getString("dia").equals(String.valueOf(i+1))){
									horario += hr.getString("sede") + "\n - " + hr.getString("aulas") + " ";
								}							
							}
							

					%>
					<td  height='100'  align='center' width='140' style="vertical-align:middle;width:1;height:35;"><font size="3"><b><%=horario%><%=x%></b></font></td>
							<%
								}
							%>
				</tr>				
			</tbody>
		
		</table>
				<br>
				<br>
		<%
			}
		%>
	</body>
</html>
